GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions
graphchi::stripedio Class Reference

List of all members.

## Public Member Functions
| stripedio (metrics &_m)
void | set_disable_preloading (bool b)
bool | multiplexed ()
void | print_session (int session)
int | hash (std::string filename)
int | open_session (std::string filename, bool readonly=false)
void | close_session (int session)
int | mplex_for_offset (int session, size_t off)
std::vector< stripe_chunk > | stripe_offsets (int session, size_t nbytes, size_t off)
template<typename T >
void | preada_async (int session, T *tbuf, size_t nbytes, size_t off)
void | launch_stream_reader (streaming_task *task)
bool | pinned_session (int session)
void | allow_preloading (std::string filename)
void | commit_preloaded ()
pinned_file * | is_preloaded (std::string filename)
template<typename T >
void | pwritea_async (int session, T *tbuf, size_t nbytes, size_t off, bool free_after)
template<typename T >
void | preada_now (int session, T *tbuf, size_t nbytes, size_t off)
template<typename T >
void | pwritea_now (int session, T *tbuf, size_t nbytes, size_t off)
template<typename T >
void | managed_pwritea_async (int session, T **tbuf, size_t nbytes, size_t off, bool free_after)
template<typename T >
void | managed_preada_now (int session, T **tbuf, size_t nbytes, size_t off)
template<typename T >
void | managed_pwritea_now (int session, T **tbuf, size_t nbytes, size_t off)
template<typename T >
void | managed_malloc (int session, T **tbuf, size_t nbytes, size_t noff)
template<typename T >
void | managed_preada_async (int session, T **tbuf, size_t nbytes, size_t off)
template<typename T >
void | managed_release (int session, T **ptr)
void | truncate (int session, size_t nbytes)
void | wait_for_reads ()
void | wait_for_writes ()
std::string | multiplexprefix (int stripe)
std::string | multiplexprefix_random ()

## Member Function Documentation

void graphchi::stripedio::allow_preloading | ( | std::string | filename | ) |
| inline

Call to allow files to be preloaded. Note: using this requires that all files are accessed with same path. This is true if standard chifilenames.hpp -given filenames are used.

template<typename T >

void graphchi::stripedio::managed_pwritea_async | ( | int | session,
|  | T ** | tbuf,
|  | size_t | nbytes,
|  | size_t | off,
|  | bool | free_after
| ) |  |
| inline

Memory managed versino of the I/O functions.

bool graphchi::stripedio::pinned_session | ( | int | session | ) |
| inline

Pinned sessions process files that are permanently pinned to memory.

The documentation for this class was generated from the following file:

- src/io/stripedio.hpp